package danielcortes.xyz.models.detalle;

import danielcortes.xyz.models.estado_resultado.EstadoResultado;
import danielcortes.xyz.models.tipo_detalle.TipoDetalle;
import java.util.Objects;

public class Detalle {
  private int id;
  private int valor;
  private String descripcion;
  private TipoDetalle tipoDetalle;
  private EstadoResultado estadoResultado;

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public int getValor() {
    return valor;
  }

  public void setValor(int valor) {
    this.valor = valor;
  }

  public String getDescripcion() {
    return descripcion;
  }

  public void setDescripcion(String descripcion) {
    this.descripcion = descripcion;
  }

  public TipoDetalle getTipoDetalle() {
    return tipoDetalle;
  }

  public void setTipoDetalle(TipoDetalle tipoDetalle) {
    this.tipoDetalle = tipoDetalle;
  }

  public EstadoResultado getEstadoResultado() {
    return estadoResultado;
  }

  public void setEstadoResultado(EstadoResultado estadoResultado) {
    this.estadoResultado = estadoResultado;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof Detalle)) {
      return false;
    }
    Detalle detalle = (Detalle) o;
    return id == detalle.id &&
        valor == detalle.valor &&
        Objects.equals(descripcion, detalle.descripcion) &&
        Objects.equals(tipoDetalle, detalle.tipoDetalle) &&
        Objects.equals(estadoResultado, detalle.estadoResultado);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, valor, descripcion, tipoDetalle, estadoResultado);
  }

  @Override
  public String toString() {
    return "Detalle{" +
        "id=" + id +
        ", valor=" + valor +
        ", descripcion='" + descripcion + '\'' +
        ", tipoDetalle=" + tipoDetalle +
        ", estadoResultado=" + estadoResultado +
        '}';
  }
}
